# Ipopt::InexactNormalStepCalculator Class Reference

Base class for computing the normal step for the inexact step calculation algorithm. More...

`#include <IpInexactNormalStepCalc.hpp>`

Inheritance diagram for Ipopt::InexactNormalStepCalculator:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual bool | ComputeNormalStep (SmartPtr< Vector > &normal_x, SmartPtr< Vector > &normal_s)=0
| Method for computing the normal step.
Constructors/Destructors
| InexactNormalStepCalculator ()
| Default onstructor.
virtual | ~InexactNormalStepCalculator ()
| Default destructor.
## Protected Member Functions
InexactData & | InexData ()
| Method to easily access Inexact data.
InexactCq & | InexCq ()
| Method to easily access Inexact calculated quantities.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| InexactNormalStepCalculator (const InexactNormalStepCalculator &)
| Copy Constructor.
void | operator= (const InexactNormalStepCalculator &)
| Overloaded Equals Operator.

## Detailed Description

Base class for computing the normal step for the inexact step calculation algorithm.

Definition at line 20 of file IpInexactNormalStepCalc.hpp.

## Constructor & Destructor Documentation

Ipopt::InexactNormalStepCalculator::InexactNormalStepCalculator | ( |  | ) | `[inline]`

Default onstructor.

Definition at line 26 of file IpInexactNormalStepCalc.hpp.

virtual Ipopt::InexactNormalStepCalculator::~InexactNormalStepCalculator | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 30 of file IpInexactNormalStepCalc.hpp.

Ipopt::InexactNormalStepCalculator::InexactNormalStepCalculator | ( | const InexactNormalStepCalculator & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::InexactNormalStepCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::InexactDoglegNormalStep.

virtual bool Ipopt::InexactNormalStepCalculator::ComputeNormalStep | ( | SmartPtr< Vector > & | normal_x,
|  | SmartPtr< Vector > & | normal_s |
| ) |  |  | `[pure virtual]`

Method for computing the normal step.

The computed step is returned as normal_x and normal_s, for the x and s variables, respectively. These quantities are not slack-scaled. If the step cannot be computed, this method returns false.

Implemented in Ipopt::InexactDoglegNormalStep.

InexactData& Ipopt::InexactNormalStepCalculator::InexData | ( |  | ) | `[inline, protected]`

Method to easily access Inexact data.

Definition at line 47 of file IpInexactNormalStepCalc.hpp.

InexactCq& Ipopt::InexactNormalStepCalculator::InexCq | ( |  | ) | `[inline, protected]`

Method to easily access Inexact calculated quantities.

Definition at line 56 of file IpInexactNormalStepCalc.hpp.

void Ipopt::InexactNormalStepCalculator::operator= | ( | const InexactNormalStepCalculator & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::InexactDoglegNormalStep.

The documentation for this class was generated from the following file:

- src/Algorithm/Inexact/IpInexactNormalStepCalc.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines